Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 15:16:01 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 13:34:21 +0000

[…]

 >> It doesn’t if you C-x C-w into a file in a different directory.

 >> Or is your point that tar-mode buffer’s default-directory should
 >> /not/ be honored, unless under some specific circumstances (as in:
 >> for a just loaded .tar file)?

 > My point is that there is no reason to cater to such user behavior.

	That is: to the possible use of C-x C-w to save the (possibly
	modified) Tar archive to a new file in some arbitrary directory?

	Also to note is that thanks to the tar-new-entry command, it’s
	possible to create .tar archives entirely in Emacs.  Consider:

    C-x b *new* RET
    M-x tar-mode RET
    C-x C-q
    I newfile RET
    RET
    Hello, world!
    C-x C-s
    C-x b *new* RET
    C-x C-w /where/my/tar/files/are.tar RET

	Now, where do you think M-x tar-untar-buffer RET would unpack
	this newly created archive?

[…]

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A